/*eslint no-unused-vars:0 */
'use strict';

const capiV2 = require('./utils/capi-v2');
const models = {
	'content': (data) => data.content
							.map(a => a.apiUrl.replace('http://api.ft.com/content/', '')),
	'annotations': (data, count) => data.annotations.map(a => a.label)
};

module.exports = (opts) => {
	const count = opts.count || 10;
	const model = opts.model || 'content';
	const queryString = '?' + ['industry', 'position', 'sector', 'country']
								.filter(o => opts[o])
								.map(o => `user-${o}=${opts[o]}`)
								.join('&');

	return capiV2({
		path: `/hui/${model}/${opts.period || 'last-1-day'}${queryString}`,
		type: 'hui'
	})
	.then(data => models[model](data).slice(0, count))
	.then(articles => {
		articles.indexCount = articles.length;
		return articles;
	});
};
